Vulnerabilities
Get Top 5 CISA Known Exploitable Vulnerabilities
Get top-5 CISA known-exploitable vulnerabilities.
GET
/
v1
/
{org_uid}
/
metrics
/
vulnerabilities
/
exploitable
Returns top-5 CISA known-exploitable vulnerabilities
curl --request GET \
--url https://client.synack.com/api/streaming/v1/{org_uid}/metrics/vulnerabilities/exploitable \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/streaming/v1/{org_uid}/metrics/vulnerabilities/exploitable"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/streaming/v1/{org_uid}/metrics/vulnerabilities/exploitable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": "<unknown>",
"id": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>",
"relationships": {},
"type": "asset_list"
},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}
],
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization UID
Query Parameters
Listing UID. If false is provided, it will return count of assets that does not belong to any listing nor seed group
Seed group UID.
Maximum number of CISA CVEs results to be returned
⌘I
Returns top-5 CISA known-exploitable vulnerabilities
